Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::GlobalAccessAccumulator Struct Reference

`#include <GPUMemInfo.h>`

## Public Member Functions

| GlobalAccessAccumulator (int bytes_per_access, size_t dimensions, const Strides &strides, bool verbose)
void | operator() (int thread_id, int x, int y, int z, int active, bool last_thread)
void | add_access_info (int num_requests, GlobalMemInfo &global_mem_info, bool is_tail_warp) const

## Detailed Description

Definition at line 175 of file GPUMemInfo.h.

## Constructor & Destructor Documentation

## GlobalAccessAccumulator()

Halide::Internal::Autoscheduler::GlobalAccessAccumulator::GlobalAccessAccumulator | ( | int | bytes_per_access,
|  | size_t | dimensions,
|  | const Strides & | strides,
|  | bool | verbose )

inline

Definition at line 176 of file GPUMemInfo.h.

## Member Function Documentation

## operator()()

void Halide::Internal::Autoscheduler::GlobalAccessAccumulator::operator() | ( | int | thread_id,
|  | int | x,
|  | int | y,
|  | int | z,
|  | int | active,
|  | bool | last_thread )

inline

Definition at line 183 of file GPUMemInfo.h.

## add_access_info()

void Halide::Internal::Autoscheduler::GlobalAccessAccumulator::add_access_info | ( | int | num_requests,
|  | GlobalMemInfo & | global_mem_info,
|  | bool | is_tail_warp ) const

inline

Definition at line 221 of file GPUMemInfo.h.

References Halide::Internal::Autoscheduler::MemInfo< T >::add_access_info().

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/GPUMemInfo.h